Sandbox
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all sandbox
API for managing sandbox environments that control network access for task runs.
Required API key scopes
task:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /sandbox_environmentsExample response
Status 200
RESPONSE
Create sandbox
API for managing sandbox environments that control network access for task runs.
Required API key scopes
task:writeRequest parameters
- namestring
- network_access_levelDefault:
full - allowed_domainsarray
- include_default_domainsbooleanDefault:
false - repositoriesarray
- environment_variables
- privatebooleanDefault:
true - custom_image_idstring | null
Response
Example request
POST /api /projects /:project_id /sandbox_environmentsExample response
Status 201
RESPONSE
Retrieve sandbox
API for managing sandbox environments that control network access for task runs.
Required API key scopes
task:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /sandbox_environments /:idExample response
Status 200
RESPONSE
Update sandbox
API for managing sandbox environments that control network access for task runs.
Required API key scopes
task:writePath parameters
- idstring
Request parameters
- namestring
- network_access_levelDefault:
full - allowed_domainsarray
- include_default_domainsbooleanDefault:
false - repositoriesarray
- environment_variables
- privatebooleanDefault:
true - custom_image_idstring | null
Response
Example request
PATCH /api /projects /:project_id /sandbox_environments /:idExample response
Status 200
RESPONSE
Delete sandbox
API for managing sandbox environments that control network access for task runs.
Required API key scopes
task:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /sandbox_environments /:id










